#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	automake
Version		:	1.17
Release		:	17.0.10.rel%{?dist}
Summary		:	A GNU tool for automatically creating Makefiles
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and GFDL
URL		:	http://www.gnu.org/software/automake/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Automake is a tool for automatically generating `Makefile.in'
files compliant with the GNU Coding Standards.

You should install Automake if you are developing software and would
like to use its ability to automatically generate GNU standard
Makefiles. If you install Automake, you will also need to install
GNU's Autoconf package.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc AUTHORS README THANKS NEWS
%doc %{_defaultdocdir}/%{name}-%{version}/amhello-1.0.tar.gz
%license COPYING
%{_bindir}/%{name}*
%{_bindir}/aclocal*
%{_datadir}/%{name}-%{majorver}
%{_datadir}/aclocal/README
%{_datadir}/aclocal-%{majorver}/*.m4
%{_datadir}/aclocal-%{majorver}/internal/ac-config-macro-dirs.m4
%{_infodir}/%{name}*.gz
%{_mandir}/man1/aclocal*.1.gz
%{_mandir}/man1/%{name}*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%check
%{__make} %{_smp_mflags} check

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm} -fr %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
